addpath /net/koko/homes/sep/biondo/MatLab/CIG/Aniso/Lib
addpath ./MatLab


% changing parameters
true_aniso_mig_iso=1;
use_default=1;
plot_res=1;

scale_pert=1;

header_name='Rho-95-Alpha-0.H'

slowness_type='ti1';
tilt_ang=0;

rock_type='ts';

v_mod=1;
a_v=1;
rho_vmod=.95;
z_ref=0.4;
alp=0*(1:1:229)./(1:1:229);

gam=(-57:0.5:57);

% We now compute the values of arctand(dz_dh)

dz_dalp=-tand(alp).*(cosd(alp+1).^2 + sind(gam).^2)./(cosd(alp).*cosd(gam));
dz_dgam=-tand(gam).*(cosd(gam).^2 + sind(alp).^2)./(cosd(alp).*cosd(gam));
dmx_dalp=-cosd(alp+1)./cosd(gam);
dmx_dgam=-(sind(gam).*sind(alp))./cosd(gam).^2;
dhx_dalp=-(sind(gam).*sind(alp))./cosd(alp).^2;
dhx_dgam=-cosd(gam)./cosd(alp);
dz_dhx= -(dz_dalp.*dmx_dgam - dz_dgam.*dmx_dalp)./(dmx_dalp.*dhx_dgam-dmx_dgam.*dhx_dalp);

z1=0.4*0.95*(1:1:229)./(1:1:229)-0.4*0.05*cosd(gam+1).^2./(cosd(alp).^2.*(1:1:229)./(1:1:229)- ...
                         sind(gam+1).^2).*dz_dhx.*dz_dhx;

z2=0.4*0.95*(1:1:229)./(1:1:229)-0.4*0.05*cosd(gam+1).^2./(cosd(alp).^2.*(1:1:229)./(1:1:229)- ...
                         sind(gam+1).^2).*tand(gam+1).*dz_dhx;

[Sep_line]=sep_line_compl(atand(dz_dhx),z2,header_name);

